#!/bin/csh

qsub test_ihs_f.pbs
echo ""
echo "Testing the IHS integrator..."
echo "Have submitted to the pbs queue. Should take a few minutes."
rm -f traj_differences.txt test_ihs_f_success test_ihs_f_fail
rm -rfd TrajectoryFiles
while (! -e test_ihs_f_success && ! -e test_ihs_f_fail)
end

if (-e test_ihs_f_success) then 
    diff -x .svn -q TrajectoryFiles_ref TrajectoryFiles
    echo "IHS integrator test is done. No differences were detected comparing with TrajectoryFiles_ref."
    echo ""
    exit 0
else
    echo "Error: check test_ihs_f.err"
    exit 1
endif
